; docformat = 'rst'

;+
; Example of using a common block that is defined in a batch file.
;-

;+
; Helper routine that will examine the variables in the common block.
;-
pro mg_common_example2_helper
  compile_opt strictarr
  @mg_common_example2_block

  help, a, b, c
end


;+
; Creates the common block, fills in values for the variables in the common
; block, and calls the helper routine.
;-
pro mg_common_example2
  compile_opt strictarr
  @mg_common_example2_block
  
  a = 1
  b = 2
  c = 3
  
  mg_common_example2_helper
end