; docformat = 'rst'


;+
; Wrapper to start up a surface viewer.
; 
; :Params:
;    z : in, required, type="fltarr(m, n)"
;       surface data to display
;-
pro mg_xsurface, z
  compile_opt strictarr
  
  s = obj_new('mgwidsurfaceviewer', z)
end


; main-level example program

mg_xsurface, hanning(20, 20)

end
