; docformat = 'rst'

;+
; Batch file containing all the code intended to be typed at the command line 
; from the "Widgets" chapter.
;-

; Introduction


; Simple example: MG_XPLOT

mg_xplot


; Widget programming details


; A more complicated example: MG_XIMAGE

filename = file_which('endocell.jpg')
mg_ximage, read_image(filename)


; Dialogs

choice = mg_dialog_list(['A', 'B', 'C'], 'Select the correct answer:', title='Multiple choice')
help, choice


; Compound widgets

.run mg_cw_clock


; Object widgets

mg_xsurface, hanning(20, 20)

.run mg_cwo_clock
control->setProperty, time=systime(/julian) + 1.
control->setProperty, format='(C(CHI2.2,":",CMI2.2,":",CSF05.2))'
control->setProperty, update_interval=2.0
